[arch-commits] Commit in wxgtk/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Jun 6 21:02:01 EDT 2009


    Date: Saturday, June 6, 2009 @ 21:02:01
  Author: eric
Revision: 41716

Merged revisions 41711 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/wxgtk/trunk

........
  r41711 | eric | 2009-06-06 19:58:05 -0400 (Sat, 06 Jun 2009) | 2 lines
  
  upgpkg: wxgtk 2.8.10.1-1
      Upstream update
........

Modified:
  wxgtk/repos/extra-i686/	(properties)
  wxgtk/repos/extra-i686/ChangeLog
  wxgtk/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   20 ++++++++++----------
 2 files changed, 15 insertions(+), 10 deletions(-)


Property changes on: wxgtk/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /wxgtk/trunk:1-37965
   + /wxgtk/trunk:1-41715

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-06-07 00:59:47 UTC (rev 41715)
+++ extra-i686/ChangeLog	2009-06-07 01:02:01 UTC (rev 41716)
@@ -1,3 +1,8 @@
+2009-05-21  Eric Belanger  <eric at archlinux.org>
+
+	* wxgtk 2.8.10.1-1
+	* Upstream update
+
 2009-05-05  Eric Belanger  <eric at archlinux.org>
 
 	* wxgtk 2.8.10-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-07 00:59:47 UTC (rev 41715)
+++ extra-i686/PKGBUILD	2009-06-07 01:02:01 UTC (rev 41716)
@@ -5,7 +5,7 @@
 # with help from J. Santiago Hirschfeld <jsantiagoh at yahoo.com.ar> aka Angelus
 
 pkgname=wxgtk
-pkgver=2.8.10
+pkgver=2.8.10.1
 pkgrel=1
 pkgdesc="wxGTK - GTK+ implementation of wxWidgets API for GUI"
 arch=('i686' 'x86_64')
@@ -13,21 +13,21 @@
 license=('custom:wxWindows')
 depends=('gtk2>=2.12.11' 'mesa')
 makedepends=('libgnomeprintui')
-#source=(http://downloads.sourceforge.net/wxpython/wxPython-src-${pkgver}.tar.bz2)
-source=(http://downloads.sourceforge.net/wxwindows/wxGTK-${pkgver}.tar.bz2)
-md5sums=('88b867bc118a183af56efc67014bdf27')
-sha1sums=('1e4bee16a423efeef665ed70e82b6e7dc5468cf4')
+#source=(http://downloads.sourceforge.net/wxwindows/wxGTK-${pkgver}.tar.bz2)
+source=(http://downloads.sourceforge.net/wxpython/wxPython-src-${pkgver}.tar.bz2)
+md5sums=('65d5ef166f23fe8b4c67f58df164f93e')
+sha1sums=('6598fbafd979a91f20100171fa23a91779f6dc62')
 
 build() {
-#  cd ${srcdir}/wxPython-src-${pkgver}
-  cd ${srcdir}/wxGTK-${pkgver}
+  cd "${srcdir}/wxPython-src-${pkgver}"
+#  cd "${srcdir}/wxGTK-${pkgver}"
   ./configure --prefix=/usr --libdir=/usr/lib --with-gtk=2 --with-opengl --enable-unicode \
 	  --enable-graphics_ctx --with-gnomeprint --disable-optimize || return 1
   make || return 1
   make -C locale allmo || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
   cd contrib/src
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 ../../docs/licence.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 ../../docs/licence.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }



More information about the arch-commits mailing list